Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions
Lucene::DocIdSet Class Referenceabstract

A DocIdSet contains a set of doc ids. Implementing classes must only implement `iterator` to provide access to the set. More...

`#include <DocIdSet.h>`

Inheritance diagram for Lucene::DocIdSet:

## Public Member Functions

virtual | ~DocIdSet ()
virtual String | getClassName ()
boost::shared_ptr< DocIdSet > | shared_from_this ()
virtual DocIdSetIteratorPtr | iterator ()=0
| Provides a `DocIdSetIterator` to access the set. This implementation can return null or `EmptyDocIdSet`.iterator() if there are no docs that match.
virtual bool | isCacheable ()
| This method is a hint for `CachingWrapperFilter`, if this DocIdSet should be cached without copying it into a BitSet. The default is to return false. If you have an own DocIdSet implementation that does its iteration very effective and fast without doing disk I/O, override this method and return true.
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed.
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object.
virtual int32_t | hashCode ()
| Return hash code for this object.
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal.
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects.
virtual String | toString ()
| Returns a string representation of the object.
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock.
virtual LuceneSignalPtr | getSignal ()
| Return this object signal.
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout.
virtual void | unlock ()
| Unlock this object.
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread.
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout.
virtual void | notifyAll ()
| Notify all threads waiting for signal.

## Static Public Member Functions

static String | _getClassName ()
static DocIdSetPtr | EMPTY_DOCIDSET ()
| An empty {.

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Detailed Description

A DocIdSet contains a set of doc ids. Implementing classes must only implement `iterator` to provide access to the set.

## Constructor & Destructor Documentation

## ◆ ~DocIdSet()

virtual Lucene::DocIdSet::~DocIdSet | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

String Lucene::DocIdSet::_getClassName | ( |  | ) |

inline static

## ◆ EMPTY_DOCIDSET()

DocIdSetPtr Lucene::DocIdSet::EMPTY_DOCIDSET | ( |  | ) |

static

An empty {.

DocIdSet} instance for easy use, eg. in Filters that hit no documents.
Lucene::DocIdSet
A DocIdSet contains a set of doc ids. Implementing classes must only implement iterator to provide ac...
Definition DocIdSet.h:16

## ◆ getClassName()

virtual String Lucene::DocIdSet::getClassName | ( |  | ) |

inline virtual

Reimplemented in Lucene::DocIdBitSet, Lucene::FilteredDocIdSet, Lucene::OpenBitSet, Lucene::OpenBitSetDISI, and Lucene::SortedVIntList.

## ◆ isCacheable()

virtual bool Lucene::DocIdSet::isCacheable | ( |  | ) |

virtual

This method is a hint for `CachingWrapperFilter`, if this DocIdSet should be cached without copying it into a BitSet. The default is to return false. If you have an own DocIdSet implementation that does its iteration very effective and fast without doing disk I/O, override this method and return true.

Reimplemented in Lucene::DocIdBitSet, Lucene::FilteredDocIdSet, Lucene::OpenBitSet, and Lucene::SortedVIntList.

## ◆ iterator()

virtual DocIdSetIteratorPtr Lucene::DocIdSet::iterator | ( |  | ) |

pure virtual

Provides a `DocIdSetIterator` to access the set. This implementation can return null or `EmptyDocIdSet`.iterator() if there are no docs that match.

Implemented in Lucene::DocIdBitSet, Lucene::FilteredDocIdSet, Lucene::OpenBitSet, and Lucene::SortedVIntList.

## ◆ shared_from_this()

boost::shared_ptr< DocIdSet > Lucene::DocIdSet::shared_from_this | ( |  | ) |

inline

The documentation for this class was generated from the following file:

- DocIdSet.h

clucene.sourceforge.net